# Class: java::build
#
# This module manages Java build tools
#
# Parameters: none
#
# Actions:
#
# Requires: see Modulefile
#
# Sample Usage:
#
class java::build {
  class { 'apt': }

  package { 'maven':
    ensure => latest
  }

  apt::ppa { 'ppa:cwchien/gradle':
    ensure => present
  }

  package { 'gradle':
    ensure  => latest,
    require => Apt::Ppa['ppa:cwchien/gradle']
  }
}